Skip to main content
`Ctrl`+`K`

# DMPlexCheckSkeleton

Check that each cell has the correct number of vertices

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckSkeleton(DM dm, PetscInt cellHeight)

## Input Parameters

- dm - The `DMPLEX` object

- cellHeight - Normally 0

## Notes

This is a useful diagnostic when creating meshes programmatically. Currently applicable only to homogeneous simplex or tensor meshes.

For the complete list of DMPlexCheck* functions, see `DMSetFromOptions()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMCreate()`, `DMSetFromOptions()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages